# SelectionOverlayScannerConfiguration class

Barcode Selection Overlay configuration

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: false)

## Constructors

SelectionOverlayScannerConfiguration({bool overlayEnabled = true, bool automaticSelectionEnabled = false, BarcodeOverlayTextFormat textFormat = BarcodeOverlayTextFormat.CODE_AND_TYPE, Color? polygonColor = Colors.white, Color? textColor = Colors.black, Color? textContainerColor = Colors.white, dynamic onBarcodeClicked(BarcodeItem item)?})

## Properties

automaticSelectionEnabled ↔ bool
  Whether to return results from barcodeLiveDetection callback or only proceed with manual click on barcode polygon
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
onBarcodeClicked ↔ (dynamic Function(BarcodeItem item)?)
  Callback that will be called when barcode on screen is clicked.
  getter/setter pair
overlayEnabled ↔ bool
  Whether the barcode selection overlay is enabled or not.
  getter/setter pair
polygonColor ↔ Color?
  The color of the polygon in the selection overlay.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
textColor ↔ Color?
  The color of the text in the selection overlay.
  getter/setter pair
textContainerColor ↔ Color?
  The color of the texts background in the selection overlay.
  getter/setter pair
textFormat ↔ BarcodeOverlayTextFormat
  Define the way of how to show barcode data with selection overlay.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited